# Uses of Class
org.snpeff.binseq.DnaSequence

Packages that use DnaSequence
Package
Description
org.snpeff.binseq
org.snpeff.binseq.comparator
org.snpeff.fileIterator
org.snpeff.interval
org.snpeff.overlap

## Uses of DnaSequence in org.snpeff.binseq

Subclasses of DnaSequence in org.snpeff.binseq
Modifier and Type
Class
Description
`class`
`DnaNSequence`
Binary packed DNA sequence that allows also 'N' bases: {A, C, G, T, N}
`class`
`DnaSequenceId`
Binary packed DNA sequence with an ID (long)
Methods in org.snpeff.binseq that return DnaSequence
Modifier and Type
Method
Description
`DnaSequence`
DnaSequence.`clone()`
`static DnaSequence`
DnaSequence.`empty()`
Empty sequence singleton
`protected DnaSequence`
DnaSequence.`factory()`
Create a new sequence
`protected DnaSequence`
DnaSequenceId.`factory()`
Create sequences
`DnaSequence`
DnaSequencePe.`getSeq1()`
`DnaSequence`
DnaSequencePe.`getSeq2()`

## Uses of DnaSequence in org.snpeff.binseq.comparator

Classes in org.snpeff.binseq.comparator with type parameters of type DnaSequence
Modifier and Type
Class
Description
`class`
`DnaSubsequenceComparator<T extends DnaSequence>`
Compares two subsequences of DNA (DnaSequence)
Methods in org.snpeff.binseq.comparator with parameters of type DnaSequence
Modifier and Type
Method
Description
`int`
DnaSubsequenceComparator.`compare(DnaSequence seq1, int index1, DnaSequence seq2, int index2)`
`int`
DnaSubsequenceComparator.`score(DnaSequence seq1, int index1, DnaSequence seq2, int index2)`
`int`
DnaSubsequenceComparator.`scoreSlow(DnaSequence seq1, int index1, DnaSequence seq2, int index2)`
This method is used when none of the indexes is zero.

## Uses of DnaSequence in org.snpeff.fileIterator

Subclasses with type arguments of type DnaSequence in org.snpeff.fileIterator
Modifier and Type
Class
Description
`class`
`DnaSeqFileIterator`

## Uses of DnaSequence in org.snpeff.interval

Methods in org.snpeff.interval that return DnaSequence
Modifier and Type
Method
Description
`DnaSequence`
Chromosome.`getDnaSequence()`

## Uses of DnaSequence in org.snpeff.overlap

Subclasses with type arguments of type DnaSequence in org.snpeff.overlap
Modifier and Type
Class
Description
`class`
`OverlapDnaSeq`
Methods in org.snpeff.overlap that return DnaSequence
Modifier and Type
Method
Description
`DnaSequence`
SequenceRotator.`calcRor(int rotate)`
`DnaSequence`
SequenceRotator.`rotate(int rotate)`
Rotate left
Methods in org.snpeff.overlap with parameters of type DnaSequence
Modifier and Type
Method
Description
`int`
OverlapDnaSeq.`overlap(DnaSequence seq1, DnaSequence seq2)`
Constructors in org.snpeff.overlap with parameters of type DnaSequence
Modifier
Constructor
Description
``
`SequenceRotator(DnaSequence sequence)`